/*
 * PanelSistema.java
 *
 * Created on 18 de mayo de 2008, 22:57
 */
package org.casino.gui.comun;

import java.util.List;
import javax.swing.JComponent;

/**
 *
 * @author  opsi
 */
public class PanelSistema extends javax.swing.JPanel {

    private List<JComponent> componentesOpcionales;

    public List<JComponent> getComponentesOpcionales() {
        return componentesOpcionales;
    }

    public void setComponentesOpcionales(List<JComponent> componentesOpcionales) {
        this.componentesOpcionales = componentesOpcionales;
        panelComponentesOpcionales.removeAll();
        if (componentesOpcionales != null) {
            for (JComponent comp : componentesOpcionales) 
            {
                panelComponentesOpcionales.add(comp);
            }
        }
    }

    /** Creates new form PanelSistema */
    public PanelSistema() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        botonTerminarSesion = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        textoAyuda = new javax.swing.JEditorPane();
        panelComponentesOpcionales = new javax.swing.JPanel();

        botonTerminarSesion.setText("Terminar sesión");

        jScrollPane1.setViewportView(textoAyuda);

        panelComponentesOpcionales.setLayout(new java.awt.GridLayout(0, 1));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(botonTerminarSesion, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(panelComponentesOpcionales, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 139, Short.MAX_VALUE)
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 139, Short.MAX_VALUE))
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(panelComponentesOpcionales, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 372, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(botonTerminarSesion)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton botonTerminarSesion;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JPanel panelComponentesOpcionales;
    private javax.swing.JEditorPane textoAyuda;
    // End of variables declaration//GEN-END:variables
}
